/*	TimeSpan.java
 *
 *	Example of IO command IXPCI_TIME_SPAN for PCI-1202
 *
 *	v 0.0 2003.8.7 by moki matsushima
 *
 *	Copyright (c) 2003 ICPDAS, Inc. All  Rights Reserved.
 */
 
import java.io.*;							//For System.in.read()
import com.icpdas.cardio.ixpci.*;					//ICPDAS PCI Series I/O Card packages

public class TimeSpan 
{
	public static void main(String[] args) throws java.io.IOException
	{
		int rev;
		int fd;
		int span = 6000;
		/* span for 6000 us */
		Ixpci icpdasio1=new Ixpci();
		fd=icpdasio1.open("ixpci1");
		if(fd==-1) System.out.println("Card Open Error Code:"+ fd);
		if((rev=icpdasio1.setTimeSpan(fd,span))!=0) System.out.println("Failure of spanning "+span+"us");
		else System.out.println("Success of spanning "+span+"us");
		icpdasio1.close(fd);
		System.out.println("End of program");		
	}

}
